/**
 * clearFusionCMS script to trigger form save on ctl+s or cmd+s.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * @package clearFusionCMS
 * @copyright Copyright (c) 2015 - 2017 clearFusionCMS. All rights reserved.
 * @link http://clearFusionCMS.com
 */

$(document).ready(function() {
	$(document).on('keydown', function(event) {
		if(!(String.fromCharCode(event.which).toLowerCase() == 's' && (event.ctrlKey || event.metaKey)) && !(event.which == 19)) return true;

		var f = $('form.metaSSubmit');
		if(f.length) {
			document.activeElement.blur();
			$(window).off('beforeunload');
			f.submit();
			event.preventDefault();
			return false;
		}
	});
});
