<?php
/*   __________________________________________________
    |  Obfuscated by YAK Pro - Php Obfuscator  1.8.8   |
    |              on 2017-07-08 00:39:58              |
    |    GitHub: https://github.com/pk-fr/yakpro-po    |
    |__________________________________________________|
*/
 class flUserDbInstaller extends flDbInstallerInterface { function install($db) { goto p8iKL; fs1Sd: $this->createIfNotExists($db, 'fl_usersipblocks', '
CREATE  TABLE IF NOT EXISTS `fl_usersipblocks` (
  `ip` CHAR(32) NOT NULL ,
  `hitcount` INT NOT NULL ,
  `lasthit` DATETIME NOT NULL ,
  PRIMARY KEY (`ip`) ,
  INDEX `lasthit` (`lasthit` ASC) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
'); goto NyULb; E1yX4: $db->query('ALTER TABLE fl_permgroup ADD COLUMN textdomain VARCHAR(255) NOT NULL AFTER displayname'); goto RJRny; jP2Ge: $db->query('ALTER TABLE fl_users ADD COLUMN displayname VARCHAR(32) NOT NULL AFTER username'); goto i5pel; R2kzo: $this->createIfNotExists($db, 'fl_usersroles', '
CREATE  TABLE IF NOT EXISTS `fl_usersroles` (
  `uid` INT UNSIGNED NOT NULL ,
  `roleid` INT UNSIGNED NOT NULL ,
  PRIMARY KEY (`uid`, `roleid`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
'); goto ZyhJ8; rCqzX: $db->query('UPDATE fl_roles SET rolename=\'administrator\' WHERE roleid=1 && rolename=\'\''); goto YQHn6; NyULb: $this->createIfNotExists($db, 'fl_usersblocks', '
CREATE  TABLE IF NOT EXISTS `fl_usersblocks` (
  `uid` INT UNSIGNED NOT NULL ,
  `blockedby` INT UNSIGNED NOT NULL ,
  `blockedat` DATETIME NOT NULL ,
  `blockliftat` DATETIME ,
  `blockreason` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`uid`) ,
  INDEX `liftat` (`blockliftat` ASC) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
'); goto Lr4d6; i5pel: $db->query('ALTER TABLE fl_users ADD COLUMN `authkey` VARCHAR(16) NOT NULL AFTER tz'); goto S3Ip9; qwuFe: $this->createIfNotExists($db, 'fl_permissions', '
CREATE  TABLE IF NOT EXISTS `fl_permissions` (
  `permission` VARCHAR(32) NOT NULL ,
  `displayname` VARCHAR(255) NOT NULL ,
  `textdomain` VARCHAR(255) NOT NULL ,
  `disporder` INT NOT NULL ,
  PRIMARY KEY (`permission`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
'); goto OaJHS; YQHn6: $db->query('UPDATE fl_roles SET rolename=CONCAT(\'role\', roleid) WHERE rolename=\'\''); goto X4sXQ; zUpB4: $db->query('ALTER TABLE fl_roles ADD COLUMN rolename VARCHAR(32) NOT NULL AFTER roleid'); goto rCqzX; Kas1h: $db->insert('fl_roles', array('roleid' => 1, 'rolename' => 'administrator', 'displayname' => 'Administrator')); goto E1yX4; X4sXQ: $db->query('ALTER TABLE fl_roles ADD UNIQUE INDEX `rolename` (`rolename` ASC)'); goto ujvo5; ujKWH: $db->query('ALTER TABLE fl_users MODIFY lastaccess DATETIME NULL'); goto z8ZY2; gBIYB: $db->query('UPDATE fl_usersblocks SET blockliftat=NULL WHERE blockliftat=\'0000-00-00 00:00:00\''); goto nwkil; ZyhJ8: $db->query('DROP TABLE IF EXISTS `fl_usersprofile`'); goto L1JjO; WDYI7: $db->query('UPDATE fl_users SET lastaccess=NULL WHERE lastaccess=\'0000-00-00 00:00:00\''); goto MEkwv; RJRny: $db->query('ALTER TABLE fl_permissions ADD COLUMN textdomain VARCHAR(255) NOT NULL AFTER displayname'); goto eCaPd; MEkwv: $db->query('UPDATE fl_users SET lastslaveupd=NULL WHERE lastslaveupd=\'0000-00-00 00:00:00\''); goto gBIYB; OaJHS: $this->createIfNotExists($db, 'fl_roles', '
CREATE  TABLE IF NOT EXISTS `fl_roles` (
  `roleid` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
  `rolename` VARCHAR(32) NOT NULL ,
  `displayname` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`roleid`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
'); goto Kas1h; Lr4d6: $this->createIfNotExists($db, 'fl_permgroup', '
CREATE  TABLE IF NOT EXISTS `fl_permgroup` (
  `grpname` VARCHAR(32) NOT NULL ,
  `displayname` VARCHAR(255) NOT NULL ,
  `textdomain` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`grpname`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
'); goto qwuFe; L1JjO: $db->query('ALTER TABLE fl_users ADD COLUMN lastslaveupd DATETIME NOT NULL AFTER lastaccess'); goto zUpB4; eCaPd: $this->createIfNotExists($db, 'fl_roleperms', '
CREATE  TABLE IF NOT EXISTS `fl_roleperms` (
  `roleid` INT UNSIGNED NOT NULL ,
  `permission` VARCHAR(32) NOT NULL ,
  PRIMARY KEY (`roleid`, `permission`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
'); goto R2kzo; jC4cV: $db->query('ALTER TABLE fl_usersblocks MODIFY blockliftat DATETIME NULL'); goto WDYI7; ujvo5: $db->query('ALTER TABLE fl_users CHANGE state state ENUM(\'active\',\'disabled\',\'pending\', \'blocked\') NOT NULL'); goto jP2Ge; S3Ip9: $db->query('ALTER TABLE fl_users ADD COLUMN `bio` TEXT NOT NULL AFTER authkey'); goto ujKWH; z8ZY2: $db->query('ALTER TABLE fl_users MODIFY lastslaveupd DATETIME NULL'); goto jC4cV; G5lJu: $this->createIfNotExists($db, 'fl_users_ext', '
CREATE TABLE IF NOT EXISTS `fl_users_ext` (
  `uid` INT UNSIGNED NOT NULL,
  `service` VARCHAR(32) NOT NULL,
  `authcode` VARCHAR(128) NOT NULL,
  PRIMARY KEY (`uid`, `service`),
  KEY `authcode` (`service` ASC, `authcode` ASC))
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
'); goto fs1Sd; p8iKL: $this->createIfNotExists($db, 'fl_users', '
CREATE TABLE IF NOT EXISTS `fl_users` (
  `uid` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `username` VARCHAR(100) NOT NULL,
  `displayname` VARCHAR(32) NOT NULL,
  `passwd` VARCHAR(32) NOT NULL,
  `email` VARCHAR(200) NOT NULL,
  `tz` VARCHAR(32) NOT NULL,
  `authkey` VARCHAR(16) NOT NULL,
  `bio` TEXT NOT NULL,
  `state` ENUM(\'active\',\'disabled\',\'pending\', \'blocked\') NOT NULL,
  `added` DATETIME NOT NULL,
  `lastaccess` DATETIME,
  `lastslaveupd` DATETIME,
  `salt` INT NOT NULL,
  `tokensalt` INT NOT NULL,
  PRIMARY KEY (`uid`),
  UNIQUE INDEX `username` (`username` ASC),
  UNIQUE INDEX `email` (`email` ASC))
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
'); goto G5lJu; nwkil: } function uninstall($db) { goto DK3X3; d9hQ3: $db->query('DROP TABLE IF EXISTS `fl_permgroup`'); goto hgXac; rHt1n: $db->query('DROP TABLE IF EXISTS `fl_roleperms`'); goto mZRrR; H1qg5: $db->query('DROP TABLE IF EXISTS `fl_usersblocks`'); goto rH_lJ; AcviU: $db->query('DROP TABLE IF EXISTS `fl_usersipblocks`'); goto H1qg5; KGqYR: $db->query('DROP TABLE IF EXISTS `fl_roles`'); goto rHt1n; hgXac: $db->query('DROP TABLE IF EXISTS `fl_permissions`'); goto KGqYR; DK3X3: $db->query('DROP TABLE IF EXISTS `fl_users`'); goto AcviU; mZRrR: $db->query('DROP TABLE IF EXISTS `fl_usersroles`'); goto uSxsT; rH_lJ: $db->query('DROP TABLE IF EXISTS `fl_usersprofile`'); goto d9hQ3; uSxsT: } }
