<?php

/**
 * Snippet to test if a user is subscribed to a MailChimp list.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * @package clearFusionCMS\module\mailchimp
 * @copyright Copyright (c) 2013 clearFusionCMS. All rights reserved.
 * @link http://clearfusioncms.com
 */

/* @var $tplEngine cfTemplateEngine */
$controller = $tplEngine->controller;

if(isset($listId) && isset($email)) {
	$mc = new mailchimp();
	if(!($subscriber = $mc->getSubscriber($listId, $email)) || !$subscriber->success || $subscriber->data[0]->status != 'subscribed')
		echo isset($else) ? $else : '';
	else if(isset($then))
		echo $then;
}
